package com.zksy.base.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.base.domain.ManholeBase;
import com.zksy.base.dto.ManholePageInDTO;

import java.util.List;

public interface ManholeBaseService extends IService<ManholeBase> {

    Page<ManholeBase> findByPage(ManholePageInDTO dto);

    List<ManholeBase> getOptions();

    boolean saveWithCheck(ManholeBase entity);

    boolean updateWithCheck(ManholeBase entity);
}
